<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2008 Mandriva, http://www.mandriva.com/
 *
 * $Id$
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Author: Alexandre Proença e-mail alexandre@mandriva.com.br
 * Date: 11/23/2012
 * Last Change: 11/27/2012
 * Description: This a page to render html elements and get user input, check the input and call action page or function
*/
?>
<?php
/* $Id$ */
require("modules/apache/includes/config.inc.php");//global includes
require("modules/apache/includes/http.inc.php"); //call squid-xmlrpc.inc.php (xml-rpc functions)

//Get configurations from sqlite database
$arrApp = get_List("applist");
$arrPath = get_List("apppath");
$arrDbname = get_List("appdbname");
$arrDbuser = get_List("appdbuser");
$arrDesc = get_List("appdesc");
$arrDate = get_List("appdata");



//New page with side menu, create and show
$p = new PageGenerator();
$p->setSideMenu($sidemenu);
$p->displaySideMenu();

//Create a list of informations
$n = new ListInfos($arrDbname,$infoList);
$n->setName($listName);
$n->addActionItem(new ActionPopupItem(_("Delete"),$delPage,"delete","dbname") );
$n->addExtraInfo($arrApp,$ExtraInfoApp);
$n->addExtraInfo($arrDbuser,$ExtraInfoDBu);
$n->addExtraInfo($arrPath,$ExtraInfoPath);
$n->addExtraInfo($arrDesc,$ExtraInfoDesc);
$n->addExtraInfo($arrDate,$ExtraInfoDate);
$n->setCssClass("shareName");
$n->start = 0;



//Create Title and show
$t = new TitleElement($title, 2);
$t->display();

//Create Form to get informations
$f = new ValidatingForm();

//Create table inside Form
$f->push(new Table());

//Create a select box
$app = new SelectItem("app");
$app->setElements( array("Joomla","Drupal","Wordpress","phpBB"));
$app->setElementsVal( array($joomlaVersion,$drupalVersion,$wordPressVersion,$phpBBVersion));

$arrVhost = get_List("vhost");

$domain = new SelectItem("path");
$domain->setElements($arrVhost);
$domain->setElementsVal($arrVhost);

//Add select box and elements in table
$f->add(new TrFormElement("$FormElement", $domain), array("value" => ""));

$f->add(new TrFormElement($FormElement1, $app), array("value" => ""));


$dbuser = (!empty($_POST['dbuser'])) ? $_POST['dbuser'] : ''; //to keep values on field
$f->add(new TrFormElement($FormElement4, new InputTpl("dbuser" )), array("value" => "$dbuser"));

$f->add(new TrFormElement($FormElement5, new PasswordTpl("dbpass" )), array("value" => ""));

$f->add(new TrFormElement($FormElement6, new PasswordTpl("dbpass2" )), array("value" => ""));

$desc = (!empty($_POST['desc'])) ? $_POST['desc'] : ''; //to keep values on field
$f->add(new TrFormElement($FormElement7, new InputTpl("desc" )), array("value" => "$desc"));




//Add Botton in Form and show
$f->addButton("btnAdd", $btnOkLabel, "btnPrimary" , 'onclick="wait()"');
$f->display();

//Add action on list and show list
//$n->setCssClass("");
$n->display();



//Check Add Botton
if (isset($_POST["btnAdd"])) {


	if (($_POST["app"] != "")&&($_POST["path"] != "")&&($_POST["dbuser"] != "")&&($_POST["dbpass"] != "")&&($_POST["dbpass2"] != "")) {
		if ($_POST["dbpass"] == $_POST["dbpass2"]){

			if (is_dir($path_vdomains . $_POST["path"] . "/modules")) {
				$n1 = new NotifyWidget();
				$n1->add(sprintf($pathErrorMessage, $_POST["path"]));


			}else if((!preg_match($reDbuser, $_POST["dbuser"]))) {
				$n1 = new NotifyWidget();
				$n1->add(sprintf($UserErrorMessage, $_POST["dbuser"]));

			}else if ((preg_match($reDBpass, $_POST["dbpass"]))) {
				$n1 = new NotifyWidget();
				$n1->add(sprintf($DbpassErrorMessage, $_POST["dbpass"]));

			}else if((preg_match($reDesc, $_POST["desc"]))) {
				$n1 = new NotifyWidget();
				$n1->add(sprintf($DescErrorMessage, $_POST["desc"]));

			} else{
				$app = $_POST["app"];
				$path = $_POST["path"];
				$dbuser = $_POST["dbuser"];
				$dbpass = $_POST["dbpass"];
				$desc = $_POST["desc"];

				switch($app)
				{
				case $joomlaVersion: $url=$joomlaUrlDownload; break;
				case $drupalVersion: $url=$drupalUrlDownload; break;
				case $wordPressVersion: $url=$wordPressUrlDownload; break;
				case $phpBBVersion: $url=$phpBBUrlDownload; break;
				}

				set_installApp($app,$path,$dbuser,$dbpass,$desc,$url);
				if (!isXMLRPCError()) {
					new NotifyWidgetSuccess(sprintf(_T("Aplication  %s successfully added"), $app));
					header("Location: " . urlStrRedirect($page));
					exit;
				}

			}

		}else{
			$n1 = new NotifyWidget();
			$n1->add(sprintf($PassErrorMessage));
		}
	}else {
		$n1 = new NotifyWidget();
		$n1->add(sprintf($fieldsErrorMessage));
	}

}




?>
<script language="JavaScript">
        function mostra(){
		if(window.onload ){
			document.getElementById('gif').style.visibility="hidden"
		}
	}

	function wait(){
		 document.getElementById('gif').style.visibility="visible"
	}
	

	window.onload=mostra
</script>
<div id="gif" style="position:absolute;left:50%;top:50%;margin-left:-50px;margin-top:-50px;width:200px;height:200px;z-index:2;">
<img src="modules/apache/graph/ajax.gif" alt="preloading-javascript" >
</div>
