<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2008 Mandriva, http://www.mandriva.com/
 *
 * $Id$
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Author: Alexandre Proença e-mail alexandre@mandriva.com.br
 * Date: 11/23/2012
 * Last Change: 11/27/2012
 * Description: This a page to render html elements and get user input, check the input and call action page or function
*/
?>
<?php
/* $Id$ */
require("modules/apache/includes/http.inc.php"); //call squid-xmlrpc.inc.php (xml-rpc functions)

//Get configurations from /etc/httpd/conf/httpd.conf
$arrC = get_httpConfig();
$arrM = get_httpModules();

//New page with side menu, create and show
$p = new PageGenerator();
$p->setSideMenu($sidemenu);
$p->displaySideMenu();

//Create a list of informations
$n = new ListInfos($arrC,$infoLabelConf);
$n->setName($nameList);

$n2 = new ListInfos($arrM,$infoLabelMod);
$n2->setName($nameList);

//Create Title and show
$t = new TitleElement($title, 2);
$t->display();

//Create Form to get informations
$f = new ValidatingForm();

//Create table inside Form
$f->push(new Table());
//Add element input in table
$domainname = (!empty($_POST['domainname'])) ? $_POST['domainname'] : ''; //to keep values on fields
$f->add(new TrFormElement($eltServName, new InputTpl("domainname" )), array("value" => "$domainname"));

$port = (!empty($_POST['port'])) ? $_POST['port'] : ''; //to keep values on fields
$f->add(new TrFormElement($eltPort , new InputTpl("port" )), array("value" => "$port"));

$docroot = (!empty($_POST['docroot'])) ? $_POST['docroot'] : ''; //to keep values on fields
$f->add(new TrFormElement($eltDocRoot , new InputTpl("docroot" )), array("value" => "$docroot"));

$emailadm = (!empty($_POST['emailadm'])) ? $_POST['emailadm'] : ''; //to keep values on fields
$f->add(new TrFormElement($eltAdmCtt , new InputTpl("emailadm" )), array("value" => "$emailadm"));

//Create a select box
$loglevel = new SelectItem("loglevel");
$loglevel->setElements( array("debug","info","notice","warn","error","crit","alert","emerge"));
$loglevel->setElementsVal( array("debug","info","notice","warn","error","crit","alert","emerge"));

//Add select box in table
$f->add( new TrFormElement($eltLogLevel, $loglevel), array("value" => ""));


//Add Botton in Form and show
$f->addButton("btnAdd", $btnOkLabel);
$f->display();

//Add action on list and show list
//$n->setCssClass("");
$n->display();
?>
<br /><br />
<?
//$n2->setCssClass("");
$n2->display();

//Check Add Botton
if (isset($_POST["btnAdd"])) {

	if (($_POST["domainname"] != "")&&($_POST["port"] != "")&&($_POST["docroot"] != "")&&($_POST["emailadm"] != "")) {

		$portmp = (int)$_POST["port"];
		//Don't Check FQDN Domain
		//if ((!preg_match($reDomain, $_POST["domainname"]))) {
		//	$n1 = new NotifyWidget();
		//	$n1->add(sprintf($domainErrorMessage, $_POST["domainname"]));

//	} else
	       		if (($portmp <=0)||($portmp > 65335)) {
			$n1 = new NotifyWidget();
			$n1->add(sprintf($portErrorMessage, $_POST["port"]));


		}else if(!is_dir($_POST["docroot"])) {
			$n1 = new NotifyWidget();
			$n1->add(sprintf($docRootErrorMessage, $_POST["docroot"]));

		} elseif ((!preg_match($reEmail, $_POST["emailadm"]))) {
			$n1 = new NotifyWidget();
			$n1->add(sprintf($emailErrorMessage, $_POST["emailadm"]));

		} else{
			if($portmp != 80){
				new NotifyWidgetSuccess(sprintf($port80changeMessage, $_POST["port"]));
			}

			$docroot = $_POST["docroot"];
			$port = $_POST["port"];
			$domainname = $_POST["domainname"];
			$emailadm = $_POST["emailadm"];
			$loglevel = $_POST["loglevel"];
			

			set_httpConfig($domainname,$port,$docroot,$emailadm,$loglevel);
			if (!isXMLRPCError()) {
				new NotifyWidgetSuccess(sprintf(_T("Configuration successfully changed")));
				header("Location: " . urlStrRedirect($page));
				exit;
			}

		}
	}else{
		$n1 = new NotifyWidget();
		$n1->add(sprintf($requiredMessage));

	}
}

if (isset($_POST["btnAdd"]))
//	include('modules/apache/includes/reload.php');


?>


