<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2008 Mandriva, http://www.mandriva.com/
 *
 * $Id$
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Author: Alexandre Proença e-mail alexandre@mandriva.com.br
 * Date: 11/23/2012
 * Last Change: 11/27/2012
 * Description: This a page to render html elements and get user input, check the input and call action page or function
*/
?>
<?php
/* $Id$ */
require("modules/apache/includes/config.inc.php");//global includes
require("modules/apache/includes/http.inc.php"); //call squid-xmlrpc.inc.php (xml-rpc functions)
require_once("includes/FormHandler.php");
//require_once("modules/mail/includes/mail.inc.php");



//Class managing $_POST_array
if($_POST) {
	            $FH = new FormHandler("editUserFH", $_POST);
}
else {
	            $FH = new FormHandler("editUserFH", array());
}

/* LDAP Users */
$users = get_users();
$usersTpl = new MembersTpl("users");
$usersTpl->setTitle(_T("Admin User", "mail"), _T("All users", "mail"));



// get the alias users
if ($FH->getPostValue("users"))
	$alias_users = $FH->getPostValue("users");
else {
	if ($mode == 'edit') {
		$alias_users = getVAliasUsers($alias);
	}
	else
		$alias_users = array();
}
$member = array();
foreach($alias_users as $user) {
	$member[$user] = $user;
}
// get all users
$available = array();
foreach($users as $user) {
	if (!in_array($user, $member))
		$available[$user] = $user;
}




//New page with side menu, create and show
$p = new PageGenerator();
$p->setSideMenu($sidemenu);
$p->displaySideMenu();

//Create a list of informations
$n = new ListInfos(get_List("vhost"),$infoList);
$n->setName(_T("List"));
$n->addActionItem(new ActionPopupItem(_T("Change State"),$editPage,"edit","servername") );
$n->addActionItem(new ActionPopupItem(_T("Delete"),$delPage,"delete","servername") );
$n->addExtraInfo(get_List("vssl"),$ExtraInfoSSl);
$n->addExtraInfo(get_List("vstate"),$ExtraInfoState);
$n->addExtraInfo(get_List("vsmb"),$ExtraInfoSmb);
$n->addExtraInfo(get_List("vdocroot"),$ExtraInfoDR);
$n->addExtraInfo(get_List("vdate"),$ExtraInfoDate);
$n->setCssClass("machineName");
$n->start = 0;

//Create Title and show
$t = new TitleElement($title, 2);
$t->display();

//Create Form to get informations
$f = new ValidatingForm(array('method' => 'POST',
    'enctype' => 'multipart/form-data')
);

//Create table inside Form
$f->push(new Table());
//Add element input in table

$domain = (!empty($_POST['fqdn'])) ? $_POST['fqdn'] : ''; //to keep values on fields
$f->add(new TrFormElement($FormElement1, new InputTpl("fqdn" )), array("value" => "$domain"));

$ssl = (!empty($_POST['ssl'])) ? $_POST['ssl'] : ''; //to keep values on fields
$f->add(new TrFormElement($FormElement2, new CheckboxTpl("ssl" )),
	array("value" => "$ssl", "extraArg" => 'onclick=toggleVisibility(\'ssldiv\')')
);

$email = (!empty($_POST['email'])) ? $_POST['email'] : ''; //to keep values on fields
$f->add(new TrFormElement($FormElement4, new InputTpl("email" )), array("value" => "$email"));

$desc = (!empty($_POST['desc'])) ? $_POST['desc'] : ''; //to keep values on fields
$f->add(new TrFormElement($FormElement5, new InputTpl("desc" )), array("value" => "$desc"));


$share = (!empty($_POST['share'])) ? $_POST['share'] : ''; //to keep values on fields
$f->add(new TrFormElement($FormElement6, new CheckboxTpl("share" )),
	array("value" => "$share", "extraArg" => 'onclick=toggleVisibility(\'userdiv\')')
);


$f->pop();//close table


//Create user div to show
$userdiv = new Div(array("id" => "userdiv"));
$userdiv->setVisibility(false);
$f->push($userdiv);
$f->push(new Table());
$f->add(new TrFormElement($FormElement7, $usersTpl), array("member" => $member, "available" => $available));
$f->pop();//close table
$f->pop();//close div

//Create ssl div to show
$ssldiv = new Div (array("id" => "ssldiv"));
$ssldiv->setVisibility(false);
$f->push($ssldiv);
$f->push(new Table());

$ssl_default = (!empty($_POST['defaultSsl'])) ? "checked" : ''; //to keep values on fields
$f->add(new TrFormElement(_T("Use default SSL Certificates: "), new CheckboxTpl("defaultSsl")), array("value" => "$ssl_default"));

$f->add(new TrFormElement(_T("Upload SSL Certificate File:"), new FileTpl("sslCertificateFile")));
$f->add(new TrFormElement(_T("Upload SSL Certificate Key:"), new FileTpl("sslCertificateKey")));
$f->add(new TrFormElement(_T("Upload CA Certificate File:"), new FileTpl("sslCertificateCA")));


$f->pop();//close table
$f->pop();//close div


//Add Botton in Form and show
$f->addButton("btnAdd", $btnOkLabel, "btnPrimary" , 'onclick="wait()"');
$f->display();

//Add action on list and show list
//$n->setCssClass("");
$n->display();


//Check Add Botton
if (isset($_POST["btnAdd"])) {

	if (($_POST["fqdn"] != "")&&($_POST["email"] != "")&&($_POST["desc"] != "")) {


		if (is_dir($path_vdomains . $_POST["fqdn"])) {
			$n1 = new NotifyWidget();
			$n1->add(sprintf($fqdnErrorMessage, $_POST["fqdn"]));

		} else 
			//Don't check FQDN Domain
			if ((!preg_match($reDomain, $_POST["fqdn"]))) {
			$n1 = new NotifyWidget();
			$n1->add(sprintf($DomainErrorMessage, $_POST["fqdn"]));

	} else
			if ((!preg_match($reEmail, $_POST["email"]))) {
			$n1 = new NotifyWidget();
			$n1->add(sprintf($emailErrorMessage, $_POST["email"]));

		} else{
			$fqdn = $_POST["fqdn"];
			$ssl = $_POST["ssl"];
			$adminuser = $_POST["users"];
			$share = $_POST["share"];
			$email = $_POST["email"];
			$desc = $_POST["desc"];

			if($ssl = $_POST["ssl"]){

				if($_POST["defaultSsl"]){
					
					$certificate_file = "";
					$certificate_key = "";
					$certificate_ca = "";
					$ssldefault = "enable";
					set_virtualHost($fqdn,$ssl,$adminuser,$share,$email,$desc,$certificate_file,$certificate_key,$certificate_ca,$ssldefault);

					if (!isXMLRPCError()) {
						new NotifyWidgetSuccess(sprintf(_T("Virtual domain  %s successfully added"), $fqdn));
						header("Location: " . urlStrRedirect($page));
						exit;
					}


				}else{
					$ssldefault = "disable";
					$path_certificate_file = $tmpdir . $_FILES['sslCertificateFile']['name'];
					$path_certificate_key = $tmpdir . $_FILES['sslCertificateKey']['name'];
					$path_certificate_ca = $tmpdir . $_FILES['sslCertificateCA']['name'];

					$certificate_file = $_FILES['sslCertificateFile']['name'];
					$certificate_key = $_FILES['sslCertificateKey']['name'];
					$certificate_ca = $_FILES['sslCertificateCA']['name'];



					if (move_uploaded_file($_FILES['sslCertificateFile']['tmp_name'],$path_certificate_file)&& move_uploaded_file($_FILES['sslCertificateKey']['tmp_name'],$path_certificate_key)&& move_uploaded_file($_FILES['sslCertificateCA']['tmp_name'],$path_certificate_ca)){
						set_virtualHost($fqdn,$ssl,$adminuser,$share,$email,$desc,$certificate_file,$certificate_key,$certificate_ca,$ssldefault);
						if (!isXMLRPCError()) {
							new NotifyWidgetSuccess(sprintf(_T("Virtual domain  %s successfully added"), $fqdn));
							header("Location: " . urlStrRedirect($page));
							exit;
						}

					} else {
						$n1 = new NotifyWidget();
						$n1->add(sprintf($uploadErrorMessage));
						$n1->add(sprintf("<br>"));
						$n1->add(sprintf($certificate_file));
						$n1->add(sprintf("<br>"));
						$n1->add(sprintf($certificate_key));
						$n1->add(sprintf("<br>"));
						$n1->add(sprintf($certificate_ca));
					}
				}
			}else{
 				$certificate_file = "";
                                $certificate_key = "";
				$certificate_ca = "";
				$ssldefault = "disable";
		        	set_virtualHost($fqdn,$ssl,$adminuser,$share,$email,$desc,$certificate_file,$certificate_key,$certificate_ca,$ssldefault);
				
				if (!isXMLRPCError()) {
					new NotifyWidgetSuccess(sprintf(_T("Virtual domain <b>%s</b> successfully added"), $fqdn));
					header("Location: " . urlStrRedirect($page));
					exit;
				}


			}



		}



	}else{
		$n1 = new NotifyWidget();
		$n1->add(sprintf($fieldsErrorMessage));

	}

}


?>

<script language="JavaScript">
        function mostra(){
            if(window.onload ){
               document.getElementById('gif').style.visibility="hidden"
               }
        }

        function wait(){
            document.getElementById('gif').style.visibility="visible"
         }
        
        window.onload=mostra
</script>

<div id="gif" style="position:absolute;left:50%;top:50%;margin-left:-50px;margin-top:-50px;width:200px;height:200px;z-index:2;">
<img src="modules/apache/graph/ajax.gif" alt="preloading-javascript" >
</div>

