<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2008 Mandriva, http://www.mandriva.com/
 *
 * $Id$
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * # Author: Alexandre Proença e-mail alexandre@mandriva.com.br
 * # Date: 11/20/2012
 * # Last Change: 11/28/2012
 * # Description: This file contain the module and sub-module declaration
 * #
 *
 */

/**
 * module declaration
 */
$mod = new Module("apache");
$mod->setVersion("0.6.2");
$mod->setRevision('$Rev$');
$mod->setDescription(_T("Web Server Management","apache"));
$mod->setAPIVersion('1:1:0');

/**
 * user submod definition
 */
$submod = new SubModule("webmanager");
$submod->setDescription(_T("Web Server","apache"));
$submod->setImg('modules/apache/graph/webmanager/webmanager');
$submod->setDefaultPage("apache/webmanager/virtualdomain");
$submod->setPriority(300);


$page = new Page("index",_T("Manage Apache Conf","apache"));
$page->setOptions( array ("noHeader" => False,"visible"=>True));
$submod->addPage($page);

$page = new Page("deletevirtual",_T("Dell Virtual Domains","apache"));
$page->setOptions( array ("noHeader" => True,"visible"=>False));
$submod->addPage($page);


$page = new Page("editvirtual",_T("Edit  Virtual Domains","apache"));
$page->setOptions( array ("noHeader" => True,"visible"=>False));
$submod->addPage($page);


$page = new Page("deleteapp",_T("Delete Applications","apache"));
$page->setOptions( array ("noHeader" => True,"visible"=>False));
$submod->addPage($page);

$page = new Page("virtualdomain",_T("Manage Virutal Domains","apache"));
$submod->addPage($page);

$page = new Page("installapp",_T("Install Applications","apache"));
$submod->addPage($page);



$mod->addSubmod($submod);

$MMCApp = &MMCApp::getInstance();
$MMCApp->addModule($mod);
?>
